pcl::registration::sortCorrespondencesByQueryIndexAndDistance Struct Reference
Module registration

sortCorrespondencesByQueryIndexAndDistance : a functor for sorting correspondences by query index and distance More...

`#include <pcl/registration/correspondence_sorting.h>`

Inheritance diagram for pcl::registration::sortCorrespondencesByQueryIndexAndDistance:

## Public Member Functions

bool | operator() (pcl::Correspondence a, pcl::Correspondence b)

## Detailed Description

sortCorrespondencesByQueryIndexAndDistance : a functor for sorting correspondences by query index and distance

Author
  Dirk Holz

Definition at line 96 of file correspondence_sorting.h.

## Member Function Documentation

## operator()()

bool pcl::registration::sortCorrespondencesByQueryIndexAndDistance::operator() | ( | pcl::Correspondence | a,
|  | pcl::Correspondence | b
| ) |  |

inline

Definition at line 99 of file correspondence_sorting.h.

References pcl::Correspondence::distance, and pcl::Correspondence::index_query.

The documentation for this struct was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/registration/include/pcl/registration/correspondence_sorting.h